post
https://api.instantpay.in/fi/remit/out/nepal/remitterEkycProcess
This API is used to submit the customer documents.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Parameters
| Parameters Name | Requirement | Description |
|---|---|---|
| referenceKey | Mandatory | You will get from Initiate KYC for Remitter API |
| remitterId | Mandatory | Remitter Id of the Remitter |
| biometricData.rdsId | Mandatory | Returned by RD Service when using biometric authentication. RD Service Id. |
| biometricData.rdsVer | Mandatory | Returned by RD Service when using biometric authentication. RD Service version. |
| biometricData.ci | Mandatory | Returned by RD Service when using biometric authentication. Public key certificate identifier of UIDAI using which skey was encrypted. |
| biometricData.dc | Mandatory | Returned by RD Service when using biometric authentication. Registered Device code. |
| biometricData.dpId | Mandatory | Returned by RD Service when using biometric authentication. Device provider Id. |
| biometricData.hmac | Mandatory | Returned by RD Service when using biometric authentication. SHA -256 Hash of PID XML and then encrypted and base 64 encoded |
| biometricData.mc | Mandatory | Returned by RD Service when using biometric authentication. encrypted registered device public key certificate |
| biometricData.mi | Mandatory | Returned by RD Service when using biometric authentication. RD model Id. |
| biometricData.pidData | Mandatory | base-64 encoded encrypted pid block. |
| biometricData.sessionKey | Mandatory | Returned by RD Service when using biometric authentication. AES session key generated dynamically for every txn |
Sample Request
POST /fi/remit/out/nepal/remitterEkycProcess HTTP/1.1
Host: api.instantpay.in
Content-Type: application/json
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
X-Ipay-Outlet-Id: {{outletId}}
{
"referenceKey":"IILE1h0069820a916-4421-4543-a84f-1312b71061d2",
"remitterId" : "XXXXXX",
"biometricData": {
"rdsId":"MANTRA.WIN.001",
"rdsVer":"1.0.6",
"ci": "20250929",
"dc": "04e901f3-XXXX-XXXX-XXXX-840dff421a49",
"dpId": "MANTRA.MSIPL",
"hmac": "XXXXXXXXXXXXXX",
"mc": "",
"mi": "MFS100",
"pidData": "",
"sessionKey": "XXXXXXXXXXXXXXXX"
}
}curl --location --request POST 'https://api.instantpay.in/fi/remit/out/nepal/remitterEkycProcess' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'X-Ipay-Outlet-Id: {{outletId}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"authenticationKey": "ADBD6C73-XXXX-XXXX-XXXX-DA633A49531E-2A3A980A-0F8E-40E0-9FFD-13ACD5C81BC8",
"referenceKey":"IILE1h0069820a916-XXXX-XXXX-XXXX-1312b71061d2",
"remitterId" : "XXXXXX",
"biometricData": {
"rdsId":"MANTRA.WIN.001",
"rdsVer":"1.0.6",
"ci": "20250929",
"dc": "04e901f3-e07b-4ac2-a93e-840dff421a49",
"dpId": "MANTRA.MSIPL",
"hmac": "XXXXXXXXXX",
"mc": "",
"mi": "MFS100",
"pidData": "",
"sessionKey": "XXXXXXXXXXXXX"
}
}'Response Parameter
| Name | Type | Description |
|---|---|---|
| statuscode | String | InstantPay Status Code |
| actcode | String | Action Code |
| status | String | Status Message |
| data | Array | Response Data (If Present) |
| timestamp | String | Current time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| enviroment | String | Live/Sandbox |
Info :For API Headers Click Here

